"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ApiBase_1 = require("./ApiBase");
var ActionColumnApi = /** @class */ (function (_super) {
    tslib_1.__extends(ActionColumnApi, _super);
    function ActionColumnApi() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ActionColumnApi.prototype.getActionColumnState = function () {
        return this.getBlotterState().ActionColumn;
    };
    ActionColumnApi.prototype.getAllActionColumn = function () {
        var actionColumns = this.getBlotterState().ActionColumn
            .ActionColumns;
        if (actionColumns == undefined) {
            actionColumns = [];
        }
        return actionColumns;
    };
    return ActionColumnApi;
}(ApiBase_1.ApiBase));
exports.ActionColumnApi = ActionColumnApi;
