"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ApiBase_1 = require("./ApiBase");
var EventDispatcher_1 = require("../Utilities/EventDispatcher");
var AuditEventApi = /** @class */ (function (_super) {
    tslib_1.__extends(AuditEventApi, _super);
    function AuditEventApi(blotter) {
        var _this = _super.call(this, blotter) || this;
        _this._onAuditStateChanged = new EventDispatcher_1.EventDispatcher();
        _this._onAuditCellEdited = new EventDispatcher_1.EventDispatcher();
        _this._onAuditFunctionApplied = new EventDispatcher_1.EventDispatcher();
        return _this;
    }
    AuditEventApi.prototype.onAuditStateChanged = function () {
        return this._onAuditStateChanged;
    };
    AuditEventApi.prototype.onAuditCellEdited = function () {
        return this._onAuditCellEdited;
    };
    AuditEventApi.prototype.onAuditFunctionApplied = function () {
        return this._onAuditFunctionApplied;
    };
    return AuditEventApi;
}(ApiBase_1.ApiBase));
exports.AuditEventApi = AuditEventApi;
