"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AdvancedSearchApi_1 = require("./AdvancedSearchApi");
var AlertApi_1 = require("./AlertApi");
var CalendarApi_1 = require("./CalendarApi");
var CalculatedColumnApi_1 = require("./CalculatedColumnApi");
var CellValidationApi_1 = require("./CellValidationApi");
var ColumnCategoryApi_1 = require("./ColumnCategoryApi");
var ColumnFilterApi_1 = require("./ColumnFilterApi");
var ConfigApi_1 = require("./ConfigApi");
var CustomSortApi_1 = require("./CustomSortApi");
var DashboardApi_1 = require("./DashboardApi");
var DataSourceApi_1 = require("./DataSourceApi");
var EntitlementApi_1 = require("./EntitlementApi");
var EventApi_1 = require("./EventApi");
var ExportApi_1 = require("./ExportApi");
var FormatColumnApi_1 = require("./FormatColumnApi");
var FreeTextColumnApi_1 = require("./FreeTextColumnApi");
var GridApi_1 = require("./GridApi");
var LayoutApi_1 = require("./LayoutApi");
var PercentBarApi_1 = require("./PercentBarApi");
var QuickSearchApi_1 = require("./QuickSearchApi");
var ShortcutApi_1 = require("./ShortcutApi");
var SmartEditApi_1 = require("./SmartEditApi");
var SystemFilterApi_1 = require("./SystemFilterApi");
var SystemStatusApi_1 = require("./SystemStatusApi");
var ThemeApi_1 = require("./ThemeApi");
var UserInterfaceApi_1 = require("./UserInterfaceApi");
var InternalApi_1 = require("./InternalApi");
var ConditionalStyleApi_1 = require("./ConditionalStyleApi");
var ReminderApi_1 = require("./ReminderApi");
var FlashingCellApi_1 = require("./FlashingCellApi");
var ChartApi_1 = require("./ChartApi");
var CellSummaryApi_1 = require("./CellSummaryApi");
var UserFilterApi_1 = require("./UserFilterApi");
var PlusMinusApi_1 = require("./PlusMinusApi");
var BulkUpdateApi_1 = require("./BulkUpdateApi");
var AuditEventApi_1 = require("./AuditEventApi");
var ActionColumnApi_1 = require("./ActionColumnApi");
var NamedFilterApi_1 = require("./NamedFilterApi");
var BlotterApi = /** @class */ (function () {
    function BlotterApi(blotter) {
        this.blotter = blotter;
        this.blotter = blotter;
        this.actionColumnApi = new ActionColumnApi_1.ActionColumnApi(blotter);
        this.advancedSearchApi = new AdvancedSearchApi_1.AdvancedSearchApi(blotter);
        this.alertApi = new AlertApi_1.AlertApi(blotter);
        this.auditEventApi = new AuditEventApi_1.AuditEventApi(blotter);
        this.bulkUpdateApi = new BulkUpdateApi_1.BulkUpdateApi(blotter);
        this.calendarApi = new CalendarApi_1.CalendarApi(blotter);
        this.calculatedColumnApi = new CalculatedColumnApi_1.CalculatedColumnApi(blotter);
        this.cellSummaryApi = new CellSummaryApi_1.CellSummaryApi(blotter);
        this.cellValidationApi = new CellValidationApi_1.CellValidationApi(blotter);
        this.chartApi = new ChartApi_1.ChartApi(blotter);
        this.columnCategoryApi = new ColumnCategoryApi_1.ColumnCategoryApi(blotter);
        this.columnFilterApi = new ColumnFilterApi_1.ColumnFilterApi(blotter);
        this.conditionalStyleApi = new ConditionalStyleApi_1.ConditionalStyleApi(blotter);
        this.configApi = new ConfigApi_1.ConfigApi(blotter);
        this.customSortApi = new CustomSortApi_1.CustomSortApi(blotter);
        this.dashboardApi = new DashboardApi_1.DashboardApi(blotter);
        this.dataSourceApi = new DataSourceApi_1.DataSourceApi(blotter);
        this.entitlementApi = new EntitlementApi_1.EntitlementApi(blotter);
        this.eventApi = new EventApi_1.EventApi(blotter);
        this.exportApi = new ExportApi_1.ExportApi(blotter);
        this.flashingCellApi = new FlashingCellApi_1.FlashingCellApi(blotter);
        this.formatColumnApi = new FormatColumnApi_1.FormatColumnApi(blotter);
        this.freeTextColumnApi = new FreeTextColumnApi_1.FreeTextColumnApi(blotter);
        this.gridApi = new GridApi_1.GridApi(blotter);
        this.layoutApi = new LayoutApi_1.LayoutApi(blotter);
        this.percentBarApi = new PercentBarApi_1.PercentBarApi(blotter);
        this.plusMinusApi = new PlusMinusApi_1.PlusMinusApi(blotter);
        this.quickSearchApi = new QuickSearchApi_1.QuickSearchApi(blotter);
        this.reminderApi = new ReminderApi_1.ReminderApi(blotter);
        this.shortcutApi = new ShortcutApi_1.ShortcutApi(blotter);
        this.smartEditApi = new SmartEditApi_1.SmartEditApi(blotter);
        this.systemFilterApi = new SystemFilterApi_1.SystemFilterApi(blotter);
        this.systemStatusApi = new SystemStatusApi_1.SystemStatusApi(blotter);
        this.themeApi = new ThemeApi_1.ThemeApi(blotter);
        this.userInterfaceApi = new UserInterfaceApi_1.UserInterfaceApi(blotter);
        this.userFilterApi = new UserFilterApi_1.UserFilterApi(blotter);
        this.namedFilterApi = new NamedFilterApi_1.NamedFilterApi(blotter);
        this.internalApi = new InternalApi_1.InternalApi(blotter);
    }
    return BlotterApi;
}());
exports.BlotterApi = BlotterApi;
