"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var CalculatedColumnRedux = require("../Redux/ActionsReducers/CalculatedColumnRedux");
var ApiBase_1 = require("./ApiBase");
var CalculatedColumnApi = /** @class */ (function (_super) {
    tslib_1.__extends(CalculatedColumnApi, _super);
    function CalculatedColumnApi() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CalculatedColumnApi.prototype.getCalculatedColumnState = function () {
        return this.getBlotterState().CalculatedColumn;
    };
    CalculatedColumnApi.prototype.getAllCalculatedColumn = function () {
        return this.getCalculatedColumnState().CalculatedColumns;
    };
    CalculatedColumnApi.prototype.addCalculatedColumn = function (calculatedColumn) {
        this.dispatchAction(CalculatedColumnRedux.CalculatedColumnAdd(calculatedColumn));
    };
    CalculatedColumnApi.prototype.editCalculatedColumnExpression = function (column, columnExpression) {
        var calcColumn = this.getAllCalculatedColumn().find(function (cc) { return cc.ColumnId == column; });
        calcColumn.ColumnExpression = columnExpression;
        this.dispatchAction(CalculatedColumnRedux.CalculatedColumnEdit(calcColumn));
    };
    CalculatedColumnApi.prototype.deleteCalculatedColumn = function (column) {
        var calcColumn = this.getAllCalculatedColumn().find(function (cc) { return cc.ColumnId == column; });
        this.dispatchAction(CalculatedColumnRedux.CalculatedColumnDelete(calcColumn));
    };
    return CalculatedColumnApi;
}(ApiBase_1.ApiBase));
exports.CalculatedColumnApi = CalculatedColumnApi;
