import { ApiBase } from './ApiBase';
import { ICellSummaryApi } from './Interface/ICellSummaryApi';
import { CellSummaryState } from '../PredefinedConfig/RunTimeState/CellSummaryState';
export declare class CellSummaryApi extends ApiBase implements ICellSummaryApi {
    getCellSummaryState(): CellSummaryState;
    getCellSummaryOperation(): 'Sum' | 'Average' | 'Mode' | 'Median' | 'Distinct' | 'Max' | 'Min' | 'Count' | 'VWap' | 'Only';
}
