import { ApiBase } from './ApiBase';
import { ICellValidationApi } from './Interface/ICellValidationApi';
import { CellValidationState, CellValidationRule } from '../PredefinedConfig/RunTimeState/CellValidationState';
export declare class CellValidationApi extends ApiBase implements ICellValidationApi {
    getCellValidationState(): CellValidationState;
    getAllCellValidation(): CellValidationRule[];
    addCellValidation(cellValidationRule: CellValidationRule): void;
    deleteCellValidation(cellValidationRule: CellValidationRule): void;
}
