"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var CellValidationRedux = require("../Redux/ActionsReducers/CellValidationRedux");
var ApiBase_1 = require("./ApiBase");
var CellValidationApi = /** @class */ (function (_super) {
    tslib_1.__extends(CellValidationApi, _super);
    function CellValidationApi() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CellValidationApi.prototype.getCellValidationState = function () {
        return this.getBlotterState().CellValidation;
    };
    CellValidationApi.prototype.getAllCellValidation = function () {
        return this.getCellValidationState().CellValidations;
    };
    CellValidationApi.prototype.addCellValidation = function (cellValidationRule) {
        this.dispatchAction(CellValidationRedux.CellValidationAdd(cellValidationRule));
    };
    CellValidationApi.prototype.deleteCellValidation = function (cellValidationRule) {
        this.dispatchAction(CellValidationRedux.CellValidationDelete(cellValidationRule));
    };
    return CellValidationApi;
}(ApiBase_1.ApiBase));
exports.CellValidationApi = CellValidationApi;
