import { ApiBase } from './ApiBase';
import { IColumnFilterApi } from './Interface/IColumnFilterApi';
import { ColumnFilterState, ColumnFilter } from '../PredefinedConfig/RunTimeState/ColumnFilterState';
export declare class ColumnFilterApi extends ApiBase implements IColumnFilterApi {
    getColumnFilterState(): ColumnFilterState;
    setColumnFilter(columnFilters: ColumnFilter[]): void;
    clearColumnFilter(columnFilter: ColumnFilter): void;
    clearColumnFilterByColumns(columns: string[]): void;
    clearColumnFilterByColumn(column: string): void;
    clearAllColumnFilter(): void;
    getAllColumnFilter(): ColumnFilter[];
}
