import { ApiBase } from './ApiBase';
import { IDataSourceApi } from './Interface/IDataSourceApi';
import { DataSourceState, DataSource } from '../PredefinedConfig/RunTimeState/DataSourceState';
export declare class DataSourceApi extends ApiBase implements IDataSourceApi {
    getDataSourceState(): DataSourceState;
    getAllDataSource(): DataSource[];
    getCurrentDataSource(): DataSource;
    getDataSourceByName(dataSourceName: string): DataSource;
    setDataSource(dataSourceName: string): void;
    createDataSource(dataSourceName: string, dataSourceDescription: string): void;
    addDataSource(dataSource: DataSource): void;
    clearDataSource(): void;
}
