import { ExportDestination } from '../PredefinedConfig/Common/Enums';
import { IExportApi } from './Interface/IExportApi';
import { ExportState, Report } from '../PredefinedConfig/RunTimeState/ExportState';
import { ApiBase } from './ApiBase';
export declare class ExportApi extends ApiBase implements IExportApi {
    getExportState(): ExportState;
    getCurrentReportName(): string;
    getCurrentReport(): Report;
    getReportByName(reportName: string): Report;
    getAllReports(): Report[];
    sendReport(reportName: string, destination: ExportDestination): void;
}
