import { IStyle } from '../PredefinedConfig/Common/IStyle';
import { ApiBase } from './ApiBase';
import { IFormatColumnApi } from './Interface/IFormatColumnApi';
import { FormatColumnState, FormatColumn } from '../PredefinedConfig/RunTimeState/FormatColumnState';
export declare class FormatColumnApi extends ApiBase implements IFormatColumnApi {
    getFormatColumnState(): FormatColumnState;
    getAllFormatColumn(): FormatColumn[];
    addFormatColumn(column: string, style: IStyle): void;
    updateFormatColumn(column: string, style: IStyle): void;
    deleteFormatColumn(formatColumn: FormatColumn): void;
    deleteAllFormatColumn(): void;
}
