import { ApiBase } from './ApiBase';
import { IFreeTextColumnApi } from './Interface/IFreeTextColumnApi';
import { FreeTextColumnState, FreeTextColumn } from '../PredefinedConfig/RunTimeState/FreeTextColumnState';
export declare class FreeTextColumnApi extends ApiBase implements IFreeTextColumnApi {
    getFreeTextColumnState(): FreeTextColumnState;
    getAllFreeTextColumn(): FreeTextColumn[];
    addFreeTextColumn(freeTextColumn: FreeTextColumn): void;
    addEditFreeTextColumnStoredValue(freeTextColumn: FreeTextColumn, storedValue: any): void;
    createFreeTextColumn(columnId: string, defaultValue?: string): void;
    deleteFreeTextColumn(columnId: string): void;
}
