import { ApiBase } from './ApiBase';
import { IShortcutApi } from './Interface/IShortcutApi';
import { ShortcutState, Shortcut } from '../PredefinedConfig/RunTimeState/ShortcutState';
export declare class ShortcutApi extends ApiBase implements IShortcutApi {
    getShortcutState(): ShortcutState;
    getAllShortcut(): Shortcut[];
    addShortcut(shortcut: Shortcut): void;
    deleteShortcut(shortcut: Shortcut): void;
    deleteAllShortcut(): void;
}
