"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ShortcutRedux = require("../Redux/ActionsReducers/ShortcutRedux");
var ApiBase_1 = require("./ApiBase");
var ShortcutApi = /** @class */ (function (_super) {
    tslib_1.__extends(ShortcutApi, _super);
    function ShortcutApi() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ShortcutApi.prototype.getShortcutState = function () {
        return this.getBlotterState().Shortcut;
    };
    ShortcutApi.prototype.getAllShortcut = function () {
        return this.getBlotterState().Shortcut.Shortcuts;
    };
    ShortcutApi.prototype.addShortcut = function (shortcut) {
        this.dispatchAction(ShortcutRedux.ShortcutAdd(shortcut));
    };
    ShortcutApi.prototype.deleteShortcut = function (shortcut) {
        this.dispatchAction(ShortcutRedux.ShortcutDelete(shortcut));
    };
    ShortcutApi.prototype.deleteAllShortcut = function () {
        var _this = this;
        this.getAllShortcut().forEach(function (s) {
            _this.deleteShortcut(s);
        });
    };
    return ShortcutApi;
}(ApiBase_1.ApiBase));
exports.ShortcutApi = ShortcutApi;
