import { ApiBase } from './ApiBase';
import { ISmartEditApi } from './Interface/ISmartEditApi';
import { SmartEditState } from '../PredefinedConfig/RunTimeState/SmartEditState';
export declare class SmartEditApi extends ApiBase implements ISmartEditApi {
    getSmartEditState(): SmartEditState;
    setSmartEditMathOperation(mathOperation: 'Add' | 'Subtract' | 'Multiply' | 'Divide' | 'Replace'): void;
    getSmartEditMathOperation(): string;
    setSmartEditValue(smartEditValue: number): void;
    getSmartEditValue(): number;
}
