import { ApiBase } from './ApiBase';
import { ISystemFilterApi } from './Interface/ISystemFilterApi';
import { SystemFilterState } from '../PredefinedConfig/DesignTimeState/SystemFilterState';
import { UserFilter } from '../PredefinedConfig/RunTimeState/UserFilterState';
export declare class SystemFilterApi extends ApiBase implements ISystemFilterApi {
    getSystemFilterState(): SystemFilterState;
    setSystemFilterByUserFilters(userFilters: UserFilter[]): void;
    setSystemFilter(systemFilters: string[]): void;
    clearSystemFilter(): void;
    getCurrentSystemFilter(): string[];
    getAllSystemFilter(): string[];
}
