import { ApiBase } from './ApiBase';
import { IThemeApi } from './Interface/IThemeApi';
import { ThemeState, AdaptableBlotterTheme } from '../PredefinedConfig/RunTimeState/ThemeState';
export declare class ThemeApi extends ApiBase implements IThemeApi {
    getThemeState(): ThemeState;
    setTheme(theme: string): void;
    setLightTheme(): void;
    setDarkTheme(): void;
    getCurrentTheme(): string;
    setSystemThemes(systemThemes: AdaptableBlotterTheme[]): void;
    setUserThemes(userThemes: AdaptableBlotterTheme[]): void;
    getAllSystemTheme(): AdaptableBlotterTheme[];
    getAllUserTheme(): AdaptableBlotterTheme[];
    getAllTheme(): AdaptableBlotterTheme[];
}
