import { IConditionalStyleStrategy } from '../../Strategy/Interface/IConditionalStyleStrategy';
import { ConditionalStyleStrategy } from '../../Strategy/ConditionalStyleStrategy';
import { AdaptableBlotter } from '../AdaptableBlotter';
import { DataChangedInfo } from '../../Utilities/Interface/DataChangedInfo';
export declare class ConditionalStyleStrategyHypergrid extends ConditionalStyleStrategy implements IConditionalStyleStrategy {
    constructor(blotter: AdaptableBlotter);
    protected handleDataSourceChanged(dataChangedEvent: DataChangedInfo): void;
    initStyles(): void;
}
