import { FlashingCellsStrategy } from '../../Strategy/FlashingCellsStrategy';
import { AdaptableBlotter } from '../AdaptableBlotter';
import { IFlashingCellsStrategy } from '../../Strategy/Interface/IFlashingCellsStrategy';
import { DataChangedInfo } from '../../Utilities/Interface/DataChangedInfo';
import { FlashingCell } from '../../PredefinedConfig/RunTimeState/FlashingCellState';
export declare class FlashingCellsStrategyHypergrid extends FlashingCellsStrategy implements IFlashingCellsStrategy {
    constructor(blotter: AdaptableBlotter);
    initStyles(): void;
    protected shouldHandleDataSourceChanged(): boolean;
    protected FlashCell(dataChangedInfo: DataChangedInfo, flashingCell: FlashingCell): void;
}
