import { ReminderState, Reminder } from '../../PredefinedConfig/RunTimeState/ReminderState';
import * as Redux from 'redux';
export declare const REMINDER_ADD = "REMINDER_ADD";
export declare const REMINDER_EDIT = "REMINDER_EDIT";
export declare const REMINDER_DELETE = "REMINDER_DELETE";
export interface ReminderAction extends Redux.Action {
    reminder: Reminder;
}
export interface ReminderAddAction extends ReminderAction {
}
export interface ReminderEditAction extends ReminderAction {
}
export interface ReminderDeleteAction extends ReminderAction {
}
export declare const ReminderAdd: (reminder: Reminder) => ReminderAddAction;
export declare const ReminderEdit: (reminder: Reminder) => ReminderEditAction;
export declare const ReminderDelete: (reminder: Reminder) => ReminderDeleteAction;
export declare const ReminderReducer: Redux.Reducer<ReminderState>;
