"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FilterHelper_1 = require("../../Utilities/Helpers/FilterHelper");
exports.SYSTEM_FILTER_SET = 'SYSTEM_FILTER_SET';
exports.SystemFilterSet = function (SystemFilters) { return ({
    type: exports.SYSTEM_FILTER_SET,
    SystemFilters: SystemFilters,
}); };
var initialFilterState = {
    SystemFilters: FilterHelper_1.FilterHelper.GetAllSystemFilters(),
};
exports.SystemFilterReducer = function (state, action) {
    if (state === void 0) { state = initialFilterState; }
    switch (action.type) {
        case exports.SYSTEM_FILTER_SET:
            return Object.assign({}, state, {
                SystemFilters: action.SystemFilters,
            });
        default:
            return state;
    }
};
