import { TeamSharingState } from '../../PredefinedConfig/InternalState/TeamSharingState';
import * as Redux from 'redux';
import { ISharedEntity } from '../../Utilities/Interface/ISharedEntity';
import { AdaptableBlotterObject } from '../../PredefinedConfig/AdaptableBlotterObject';
export declare const TEAMSHARING_SHARE = "TEAMSHARING_SHARE";
export declare const TEAMSHARING_SET = "TEAMSHARING_SET";
export declare const TEAMSHARING_IMPORT_ITEM = "TEAMSHARING_IMPORT_ITEM";
export declare const TEAMSHARING_GET = "TEAMSHARING_GET";
export interface TeamSharingShareAction extends Redux.Action {
    Entity: AdaptableBlotterObject;
    Strategy: string;
}
export interface TeamSharingSetAction extends Redux.Action {
    Entities: ISharedEntity[];
}
export interface TeamSharingImportItemAction extends Redux.Action {
    Entity: AdaptableBlotterObject;
    Strategy: string;
}
export interface TeamSharingGetAction extends Redux.Action {
}
export declare const TeamSharingShare: (Entity: AdaptableBlotterObject, Strategy: string) => TeamSharingShareAction;
export declare const TeamSharingSet: (Entities: ISharedEntity[]) => TeamSharingSetAction;
export declare const TeamSharingImportItem: (Entity: AdaptableBlotterObject, Strategy: string) => TeamSharingImportItemAction;
export declare const TeamSharingGet: () => TeamSharingGetAction;
export declare const TeamSharingReducer: Redux.Reducer<TeamSharingState>;
