"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var AdaptableStrategyBase_1 = require("./AdaptableStrategyBase");
var StrategyConstants = require("../Utilities/Constants/StrategyConstants");
var ScreenPopups = require("../Utilities/Constants/ScreenPopups");
var ApplicationStrategy = /** @class */ (function (_super) {
    tslib_1.__extends(ApplicationStrategy, _super);
    function ApplicationStrategy(blotter) {
        return _super.call(this, StrategyConstants.ApplicationStrategyId, blotter) || this;
    }
    ApplicationStrategy.prototype.addPopupMenuItem = function () {
        this.createMenuItemShowPopup(StrategyConstants.ApplicationStrategyName, ScreenPopups.ApplicationPopup, StrategyConstants.ApplicationGlyph);
    };
    return ApplicationStrategy;
}(AdaptableStrategyBase_1.AdaptableStrategyBase));
exports.ApplicationStrategy = ApplicationStrategy;
