"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var AdaptableStrategyBase_1 = require("./AdaptableStrategyBase");
var StrategyConstants = require("../Utilities/Constants/StrategyConstants");
var ScreenPopups = require("../Utilities/Constants/ScreenPopups");
var CalendarStrategy = /** @class */ (function (_super) {
    tslib_1.__extends(CalendarStrategy, _super);
    function CalendarStrategy(blotter) {
        return _super.call(this, StrategyConstants.CalendarStrategyId, blotter) || this;
    }
    CalendarStrategy.prototype.addPopupMenuItem = function () {
        this.createMenuItemShowPopup(StrategyConstants.CalendarStrategyName, ScreenPopups.CalendarsPopup, StrategyConstants.CalendarGlyph);
    };
    return CalendarStrategy;
}(AdaptableStrategyBase_1.AdaptableStrategyBase));
exports.CalendarStrategy = CalendarStrategy;
