"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var AdaptableStrategyBase_1 = require("./AdaptableStrategyBase");
var StrategyConstants = require("../Utilities/Constants/StrategyConstants");
var ScreenPopups = require("../Utilities/Constants/ScreenPopups");
var ColumnChooserStrategy = /** @class */ (function (_super) {
    tslib_1.__extends(ColumnChooserStrategy, _super);
    function ColumnChooserStrategy(blotter) {
        return _super.call(this, StrategyConstants.ColumnChooserStrategyId, blotter) || this;
    }
    ColumnChooserStrategy.prototype.addPopupMenuItem = function () {
        this.createMenuItemShowPopup(StrategyConstants.ColumnChooserStrategyName, ScreenPopups.ColumnChooserPopup, StrategyConstants.ColumnChooserGlyph);
    };
    return ColumnChooserStrategy;
}(AdaptableStrategyBase_1.AdaptableStrategyBase));
exports.ColumnChooserStrategy = ColumnChooserStrategy;
