import { IConditionalStyleStrategy } from './Interface/IConditionalStyleStrategy';
import { AdaptableStrategyBase } from './AdaptableStrategyBase';
import { IAdaptableBlotter } from '../Utilities/Interface/IAdaptableBlotter';
import { IColumn } from '../Utilities/Interface/IColumn';
import { DataChangedInfo } from '../Utilities/Interface/DataChangedInfo';
export declare abstract class ConditionalStyleStrategy extends AdaptableStrategyBase implements IConditionalStyleStrategy {
    constructor(blotter: IAdaptableBlotter);
    protected addPopupMenuItem(): void;
    addColumnMenuItem(column: IColumn): void;
    protected abstract handleDataSourceChanged(dataChangedEvent: DataChangedInfo): void;
    abstract initStyles(): void;
}
