"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var AdaptableStrategyBase_1 = require("./AdaptableStrategyBase");
var StrategyConstants = require("../Utilities/Constants/StrategyConstants");
var ScreenPopups = require("../Utilities/Constants/ScreenPopups");
var BlotterHelper_1 = require("../Utilities/Helpers/BlotterHelper");
var DataManagementStrategy = /** @class */ (function (_super) {
    tslib_1.__extends(DataManagementStrategy, _super);
    function DataManagementStrategy(blotter) {
        return _super.call(this, StrategyConstants.DataManagementStrategyId, blotter) || this;
    }
    DataManagementStrategy.prototype.addPopupMenuItem = function () {
        if ('production' == process.env.NODE_ENV && !BlotterHelper_1.BlotterHelper.isDemoSite()) {
            return;
        }
        this.createMenuItemShowPopup(StrategyConstants.DataManagementStrategyName, ScreenPopups.DataManagementPopup, StrategyConstants.DataManagementGlyph);
    };
    return DataManagementStrategy;
}(AdaptableStrategyBase_1.AdaptableStrategyBase));
exports.DataManagementStrategy = DataManagementStrategy;
