"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var AdaptableStrategyBase_1 = require("./AdaptableStrategyBase");
var StrategyConstants = require("../Utilities/Constants/StrategyConstants");
var ScreenPopups = require("../Utilities/Constants/ScreenPopups");
var DataSourceStrategy = /** @class */ (function (_super) {
    tslib_1.__extends(DataSourceStrategy, _super);
    function DataSourceStrategy(blotter) {
        return _super.call(this, StrategyConstants.DataSourceStrategyId, blotter) || this;
    }
    DataSourceStrategy.prototype.addPopupMenuItem = function () {
        this.createMenuItemShowPopup(StrategyConstants.DataSourceStrategyName, ScreenPopups.DataSourcePopup, StrategyConstants.DataSourceGlyph);
    };
    return DataSourceStrategy;
}(AdaptableStrategyBase_1.AdaptableStrategyBase));
exports.DataSourceStrategy = DataSourceStrategy;
