import { ILayoutStrategy } from './Interface/ILayoutStrategy';
import { AdaptableStrategyBase } from './AdaptableStrategyBase';
import { IAdaptableBlotter } from '../Utilities/Interface/IAdaptableBlotter';
import { LayoutState } from '../PredefinedConfig/RunTimeState/LayoutState';
export declare class LayoutStrategy extends AdaptableStrategyBase implements ILayoutStrategy {
    CurrentLayout: string;
    protected LayoutState: LayoutState;
    constructor(blotter: IAdaptableBlotter);
    protected addPopupMenuItem(): void;
}
