import { IShortcutStrategy } from './Interface/IShortcutStrategy';
import { AdaptableStrategyBase } from './AdaptableStrategyBase';
import { IAdaptableBlotter } from '../Utilities/Interface/IAdaptableBlotter';
export declare class ShortcutStrategy extends AdaptableStrategyBase implements IShortcutStrategy {
    constructor(blotter: IAdaptableBlotter);
    protected addPopupMenuItem(): void;
    private handleKeyDown;
    private CalculateShortcut;
    private applyShortcut;
    private ShowErrorPreventMessage;
    private ShowWarningMessages;
}
