import { IColumn } from '../Interface/IColumn';
export declare function getColumnListFromExpression(expression: string): string[];
export declare function cleanExpressionColumnNames(expression: string, columns: IColumn[]): string;
export declare function getExpressionString(expression: string, columns: IColumn[]): string;
export declare const CalculatedColumnHelper: {
    getColumnListFromExpression: typeof getColumnListFromExpression;
    cleanExpressionColumnNames: typeof cleanExpressionColumnNames;
    getExpressionString: typeof getExpressionString;
};
export default CalculatedColumnHelper;
