export declare function objectExists(item: any): boolean;
export declare function objectNotExists(item: any): boolean;
export declare function getStringRepresentionFromKey(event: KeyboardEvent | any): string;
export declare function cloneObject(obj: any): any;
export declare function capitalize(string: string): string;
export declare function convertArrayToCsv(array: any[], separator?: string): string;
export declare function createDownloadedFile(content: any, fileName: string, mimeType: string): void;
export declare function copyToClipboard(text: string): boolean;
export declare function ReturnItemCount(items: any[], itemName: string): string;
export declare function IsInputNullOrEmpty(itemToCheck: any): boolean;
export declare function IsInputNotNullOrEmpty(itemToCheck: any): boolean;
export declare function areObjectsEqual(obj1: any, obj2: any): boolean;
export declare function StringifyValue(value: any): string;
export declare function RoundNumber(numberToRound: any, decimalPlaces: number): number;
export declare function RoundNumberTo4dp(numberToRound: any): number;
export declare function RoundValueIfNumeric(numberToRound: any, decimalPlaces: number): any;
export declare const Helper: {
    objectExists: typeof objectExists;
    objectNotExists: typeof objectNotExists;
    getStringRepresentionFromKey: typeof getStringRepresentionFromKey;
    cloneObject: typeof cloneObject;
    capitalize: typeof capitalize;
    convertArrayToCsv: typeof convertArrayToCsv;
    createDownloadedFile: typeof createDownloadedFile;
    copyToClipboard: typeof copyToClipboard;
    ReturnItemCount: typeof ReturnItemCount;
    IsInputNullOrEmpty: typeof IsInputNullOrEmpty;
    IsInputNotNullOrEmpty: typeof IsInputNotNullOrEmpty;
    areObjectsEqual: typeof areObjectsEqual;
    StringifyValue: typeof StringifyValue;
    RoundNumber: typeof RoundNumber;
    RoundNumberTo4dp: typeof RoundNumberTo4dp;
    RoundValueIfNumeric: typeof RoundValueIfNumeric;
};
export default Helper;
