import { IColumn } from '../Interface/IColumn';
import { IAdaptableBlotter } from '../Interface/IAdaptableBlotter';
import { Layout, ColumnSort } from '../../PredefinedConfig/RunTimeState/LayoutState';
export declare function getLayoutDescription(layout: Layout, columns: IColumn[]): string;
export declare function getColumnSort(columnSorts: ColumnSort[], columns: IColumn[]): string;
export declare function getSortOrder(sortOrder: 'Ascending' | 'Descending'): string;
export declare function autoSaveLayout(blotter: IAdaptableBlotter): void;
export declare const LayoutHelper: {
    getLayoutDescription: typeof getLayoutDescription;
    getColumnSort: typeof getColumnSort;
    getSortOrder: typeof getSortOrder;
    autoSaveLayout: typeof autoSaveLayout;
};
export default LayoutHelper;
