"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StyleConstants_1 = require("../../Utilities/Constants/StyleConstants");
function CreateStyleName(strategyId, blotter) {
    return (StyleConstants_1.AB_HEADER +
        strategyId +
        '-' +
        blotter.blotterOptions.blotterId
            .trim()
            .replace(/\s/g, '')
            .replace('.', ''));
}
exports.CreateStyleName = CreateStyleName;
function CreateUniqueStyleName(strategyId, blotter, adaqptableBlotterObject) {
    return (StyleConstants_1.AB_HEADER +
        strategyId +
        '-' +
        blotter.blotterOptions.blotterId
            .trim()
            .replace(/\s/g, '')
            .replace('.', '') +
        '-' +
        adaqptableBlotterObject.Uuid);
}
exports.CreateUniqueStyleName = CreateUniqueStyleName;
exports.StyleHelper = {
    CreateStyleName: CreateStyleName,
    CreateUniqueStyleName: CreateUniqueStyleName,
};
exports.default = exports.StyleHelper;
