import { IChartService } from './Interface/IChartService';
import { IAdaptableBlotter } from '../Interface/IAdaptableBlotter';
import { IColumn } from '../Interface/IColumn';
import { CategoryChartDefinition, ChartData, PieChartDefinition } from '../../PredefinedConfig/RunTimeState/ChartState';
export declare class ChartService implements IChartService {
    private blotter;
    constructor(blotter: IAdaptableBlotter);
    BuildCategoryChartData(chartDefinition: CategoryChartDefinition, columns: IColumn[]): ChartData;
    private buildYAxisTotal;
    private getXAxisColumnValues;
    private addXAxisFromExpression;
    BuildPieChartData(chartDefinition: PieChartDefinition): ChartData;
    private createNonRangeDataItem;
    private shouldUseRange;
    private getGroupValueTotalForRow;
    private getSingleValueTotalForRow;
}
