import { IDataService, ChangeDirection } from './Interface/IDataService';
import { IAdaptableBlotter } from '../Interface/IAdaptableBlotter';
import { DataChangedInfo } from '../Interface/DataChangedInfo';
import { IEvent } from '../Interface/IEvent';
export declare class DataService implements IDataService {
    private blotter;
    private _columnValueList;
    constructor(blotter: IAdaptableBlotter);
    CreateDataChangedEvent(dataChangedInfo: DataChangedInfo): void;
    private _onDataSourceChanged;
    OnDataSourceChanged(): IEvent<IDataService, DataChangedInfo>;
    GetPreviousColumnValue(columnId: string, identifierValue: any, newValue: number, changeDirection: ChangeDirection): number;
    private getCellValuesForColumn;
}
