import { IFreeTextColumnService } from './Interface/IFreeTextColumnService';
import { DataChangedInfo } from '../Interface/DataChangedInfo';
import { IAdaptableBlotter } from '../../types';
import { FreeTextColumn } from '../../PredefinedConfig/RunTimeState/FreeTextColumnState';
export declare class FreeTextColumnService implements IFreeTextColumnService {
    private blotter;
    constructor(blotter: IAdaptableBlotter);
    GetFreeTextValue(freeTextColumn: FreeTextColumn, record: any): any;
    CheckIfDataChangingColumnIsFreeText(dataChangedEvent: DataChangedInfo): void;
    CheckIfDataChangingColumnIsFreeTextBatch(dataChangedEvents: DataChangedInfo[]): void;
}
