import { IValidationService } from './Interface/IValidationService';
import { IAdaptableBlotter } from '../Interface/IAdaptableBlotter';
import { CellValidationRule } from '../../PredefinedConfig/RunTimeState/CellValidationState';
import { DataChangedInfo } from '../Interface/DataChangedInfo';
export declare class ValidationService implements IValidationService {
    private blotter;
    constructor(blotter: IAdaptableBlotter);
    ValidateCellChanging(dataChangedEvent: DataChangedInfo): CellValidationRule[];
    private IsCellValidationRuleBroken;
    private GetCellValidationState;
    private logAuditValidationEvent;
}
