import * as React from 'react';
import { IColumn } from '../../Utilities/Interface/IColumn';
import { SharedEntityExpressionRowProps } from '../Components/SharedProps/ConfigEntityRowProps';
import { MessageType } from '../../PredefinedConfig/Common/Enums';
import { AlertDefinition } from '../../PredefinedConfig/RunTimeState/AlertState';
export interface AlertEntityRowProps extends SharedEntityExpressionRowProps<AlertEntityRow> {
    Column: IColumn;
    onChangeMessageType: (alertDefinition: AlertDefinition, Type: MessageType) => void;
}
export declare class AlertEntityRow extends React.Component<AlertEntityRowProps, {}> {
    render(): any;
    setExpressionDescription(Alert: AlertDefinition): string;
    private getColumnandRule;
    onMessageTypeChanged(alertDefinition: AlertDefinition, value: MessageType): void;
}
