import * as React from 'react';
import { AdaptableWizardStep, AdaptableWizardStepProps } from '../../Wizard/Interface/IAdaptableWizard';
import { AlertDefinition } from '../../../PredefinedConfig/RunTimeState/AlertState';
export interface AlertScopeWizardProps extends AdaptableWizardStepProps<AlertDefinition> {
}
export interface AlertScopeWizardState {
    ShowAsPopup: boolean;
}
export declare class AlertScopeWizard extends React.Component<AlertScopeWizardProps, AlertScopeWizardState> implements AdaptableWizardStep {
    constructor(props: AlertScopeWizardProps);
    render(): any;
    private onShowAsPopupChanged;
    canNext(): boolean;
    canBack(): boolean;
    Next(): void;
    Back(): void;
    GetIndexStepIncrement(): number;
    GetIndexStepDecrement(): number;
}
