import * as React from 'react';
import { AdaptableWizardStep, AdaptableWizardStepProps } from '../../Wizard/Interface/IAdaptableWizard';
import { AlertDefinition } from '../../../PredefinedConfig/RunTimeState/AlertState';
export interface AlertSelectColumnWizardProps extends AdaptableWizardStepProps<AlertDefinition> {
}
export interface AlertSelectColumnWizardState {
    ColumnId: string;
}
export declare class AlertSelectColumnWizard extends React.Component<AlertSelectColumnWizardProps, AlertSelectColumnWizardState> implements AdaptableWizardStep {
    constructor(props: AlertSelectColumnWizardProps);
    render(): any;
    private onColumnSelectedChanged;
    canNext(): boolean;
    canBack(): boolean;
    Next(): void;
    Back(): void;
    GetIndexStepIncrement(): number;
    GetIndexStepDecrement(): number;
}
