import * as React from 'react';
import { StrategySummaryProps } from '../Components/SharedProps/StrategySummaryProps';
import { EditableConfigEntityState } from '../Components/SharedProps/EditableConfigEntityState';
import * as TeamSharingRedux from '../../Redux/ActionsReducers/TeamSharingRedux';
import * as ColumnFilterRedux from '../../Redux/ActionsReducers/ColumnFilterRedux';
import { AdaptableBlotterObject } from '../../PredefinedConfig/AdaptableBlotterObject';
import { ColumnFilter } from '../../PredefinedConfig/RunTimeState/ColumnFilterState';
import { IEntitlement } from '../../PredefinedConfig/DesignTimeState/EntitlementsState';
export interface ColumnFilterSummaryProps extends StrategySummaryProps<ColumnFilterSummaryComponent> {
    ColumnFilters: ColumnFilter[];
    onClearFilter: (columnfilter: ColumnFilter) => ColumnFilterRedux.ColumnFilterClearAction;
    onShare: (entity: AdaptableBlotterObject) => TeamSharingRedux.TeamSharingShareAction;
    Entitlements: IEntitlement[];
}
export declare class ColumnFilterSummaryComponent extends React.Component<ColumnFilterSummaryProps, EditableConfigEntityState> {
    constructor(props: ColumnFilterSummaryProps);
    render(): any;
    getDescription(columnFilter: ColumnFilter): string;
}
export declare let ColumnFilterSummary: React.ComponentClass<any, any>;
