import * as React from 'react';
import * as Redux from 'redux';
import * as PopupRedux from '../../../Redux/ActionsReducers/PopupRedux';
import { IUIConfirmation } from '../../../Utilities/Interface/IMessage';
import { SimpleButtonProps } from '../../../components/SimpleButton';
export interface DeleteButtonProps extends SimpleButtonProps {
    onConfirmWarning?: (confirmation: IUIConfirmation) => PopupRedux.PopupShowConfirmationAction;
    ConfirmAction: Redux.Action;
    ConfirmationMsg: string;
    ConfirmationTitle: string;
    onClickAction?: () => void;
}
export declare let ButtonDelete: React.ComponentClass<DeleteButtonProps, any>;
