import * as React from 'react';
import * as Redux from 'redux';
import { AdaptableBlotterMenuItem } from '../../../Utilities/Interface/AdaptableBlotterMenu';
import { ListGroupProps } from '../../../components/List/ListGroup';
export interface ListBoxMenuProps extends ListGroupProps {
    MenuItems: AdaptableBlotterMenuItem[];
    onMenuItemClick: (action: Redux.Action) => Redux.Action;
}
export interface ListBoxMenuState extends React.ClassAttributes<ListBoxMenu> {
}
export declare class ListBoxMenu extends React.Component<ListBoxMenuProps, ListBoxMenuState> {
    constructor(props: ListBoxMenuProps);
    render(): JSX.Element;
    onClick(menuItem: AdaptableBlotterMenuItem): void;
}
