import * as React from 'react';
import { AdaptableWizardStep, AdaptableWizardStepProps } from '../../Wizard/Interface/IAdaptableWizard';
import { IStyle } from '../../../PredefinedConfig/Common/IStyle';
import { FormatColumn } from '../../../PredefinedConfig/RunTimeState/FormatColumnState';
export interface FormatColumnStyleWizardProps extends AdaptableWizardStepProps<FormatColumn> {
    ColorPalette: string[];
    StyleClassNames: string[];
}
export interface FormatColumnStyleWizardState {
    Style: IStyle;
}
export declare class FormatColumnStyleWizard extends React.Component<FormatColumnStyleWizardProps, FormatColumnStyleWizardState> implements AdaptableWizardStep {
    constructor(props: FormatColumnStyleWizardProps);
    render(): JSX.Element;
    canNext(): boolean;
    canBack(): boolean;
    Next(): void;
    Back(): void;
    GetIndexStepIncrement(): number;
    GetIndexStepDecrement(): number;
    private onUpdateStyle;
}
