import * as React from 'react';
import { StrategySummaryProps } from '../Components/SharedProps/StrategySummaryProps';
import { EditableConfigEntityState } from '../Components/SharedProps/EditableConfigEntityState';
import * as FreeTextColumnRedux from '../../Redux/ActionsReducers/FreeTextColumnRedux';
import * as TeamSharingRedux from '../../Redux/ActionsReducers/TeamSharingRedux';
import { AdaptableBlotterObject } from '../../PredefinedConfig/AdaptableBlotterObject';
import { FreeTextColumn } from '../../PredefinedConfig/RunTimeState/FreeTextColumnState';
export interface FreeTextColumnSummaryProps extends StrategySummaryProps<FreeTextColumnSummaryComponent> {
    FreeTextColumns: FreeTextColumn[];
    onAddFreeTextColumn: (FreeTextColumn: FreeTextColumn) => FreeTextColumnRedux.FreeTextColumnAddAction;
    onEditFreeTextColumn: (FreeTextColumn: FreeTextColumn) => FreeTextColumnRedux.FreeTextColumnEditAction;
    onShare: (entity: AdaptableBlotterObject) => TeamSharingRedux.TeamSharingShareAction;
}
export declare class FreeTextColumnSummaryComponent extends React.Component<FreeTextColumnSummaryProps, EditableConfigEntityState> {
    constructor(props: FreeTextColumnSummaryProps);
    render(): any;
    onNew(): void;
    onEdit(FreeTextColumn: FreeTextColumn): void;
    onCloseWizard(): void;
    onFinishWizard(): void;
    canFinishWizard(): boolean;
}
export declare let FreeTextColumnSummary: React.ComponentClass<any, any>;
