import * as React from 'react';
import { StrategySummaryProps } from '../Components/SharedProps/StrategySummaryProps';
import { EditableConfigEntityState } from '../Components/SharedProps/EditableConfigEntityState';
import * as PercentBarRedux from '../../Redux/ActionsReducers/PercentBarRedux';
import * as TeamSharingRedux from '../../Redux/ActionsReducers/TeamSharingRedux';
import { AdaptableBlotterObject } from '../../PredefinedConfig/AdaptableBlotterObject';
import { PercentBar } from '../../PredefinedConfig/RunTimeState/PercentBarState';
export interface PercentBarSummaryProps extends StrategySummaryProps<PercentBarSummaryComponent> {
    PercentBars: PercentBar[];
    ColorPalette: string[];
    StyleClassNames: string[];
    onAddPercentBar: (percentBar: PercentBar) => PercentBarRedux.PercentBarAddAction;
    onEditPercentBar: (percentBar: PercentBar) => PercentBarRedux.PercentBarEditAction;
    onShare: (entity: AdaptableBlotterObject) => TeamSharingRedux.TeamSharingShareAction;
}
export declare class PercentBarSummaryComponent extends React.Component<PercentBarSummaryProps, EditableConfigEntityState> {
    constructor(props: PercentBarSummaryProps);
    render(): any;
    onNew(): void;
    onEdit(renderedColumn: PercentBar): void;
    onCloseWizard(): void;
    onFinishWizard(): void;
    canFinishWizard(): boolean;
}
export declare let PercentBarSummary: React.ComponentClass<any, any>;
