"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var AdaptableWizard_1 = require("../../Wizard/AdaptableWizard");
var PercentBarSelectColumnWizard_1 = require("././PercentBarSelectColumnWizard");
var PercentBarSummaryWizard_1 = require("././PercentBarSummaryWizard");
var StrategyConstants = require("../../../Utilities/Constants/StrategyConstants");
var PercentBarSettingsWizard_1 = require("./PercentBarSettingsWizard");
var PercentBarValuesWizard_1 = require("./PercentBarValuesWizard");
var PercentBarWizard = /** @class */ (function (_super) {
    tslib_1.__extends(PercentBarWizard, _super);
    function PercentBarWizard() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PercentBarWizard.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", null,
            React.createElement(AdaptableWizard_1.AdaptableWizard, { FriendlyName: StrategyConstants.PercentBarStrategyName, ModalContainer: this.props.ModalContainer, Blotter: this.props.Blotter, Columns: this.props.Columns, Steps: [
                    {
                        StepName: 'Select Column',
                        Index: 0,
                        Element: React.createElement(PercentBarSelectColumnWizard_1.PercentBarSelectColumnWizard, null),
                    },
                    {
                        StepName: 'Min / Max Values',
                        Index: 1,
                        Element: React.createElement(PercentBarValuesWizard_1.PercentBarValuesWizard, null),
                    },
                    {
                        StepName: 'Settings',
                        Index: 2,
                        Element: React.createElement(PercentBarSettingsWizard_1.PercentBarSettingsWizard, { ColorPalette: this.props.ColorPalette }),
                    },
                    {
                        StepName: 'Summary',
                        Index: 3,
                        Element: React.createElement(PercentBarSummaryWizard_1.PercentBarSummaryWizard, null),
                    },
                ], Data: this.props.EditedAdaptableBlotterObject, StepStartIndex: this.props.WizardStartIndex, onHide: function () { return _this.props.onCloseWizard(); }, onFinish: function () { return _this.props.onFinishWizard(); }, canFinishWizard: function () { return _this.props.canFinishWizard(); } })));
    };
    return PercentBarWizard;
}(React.Component));
exports.PercentBarWizard = PercentBarWizard;
