import * as React from 'react';
import { StrategySummaryProps } from '../Components/SharedProps/StrategySummaryProps';
import { EditableConfigEntityState } from '../Components/SharedProps/EditableConfigEntityState';
import * as PlusMinusRedux from '../../Redux/ActionsReducers/PlusMinusRedux';
import * as TeamSharingRedux from '../../Redux/ActionsReducers/TeamSharingRedux';
import { AdaptableBlotterObject } from '../../PredefinedConfig/AdaptableBlotterObject';
import { PlusMinusRule } from '../../PredefinedConfig/RunTimeState/PlusMinusState';
export interface PlusMinusSummaryProps extends StrategySummaryProps<PlusMinusSummaryComponent> {
    PlusMinusRules: PlusMinusRule[];
    onAddPlusMinusRule: (PlusMinus: PlusMinusRule) => PlusMinusRedux.PlusMinusRuleAddAction;
    onEditPlusMinusRule: (PlusMinus: PlusMinusRule) => PlusMinusRedux.PlusMinusRuleEditAction;
    onShare: (entity: AdaptableBlotterObject) => TeamSharingRedux.TeamSharingShareAction;
}
export declare class PlusMinusSummaryComponent extends React.Component<PlusMinusSummaryProps, EditableConfigEntityState> {
    constructor(props: PlusMinusSummaryProps);
    render(): any;
    onNew(): void;
    onEdit(PlusMinus: PlusMinusRule): void;
    onCloseWizard(): void;
    onFinishWizard(): void;
    canFinishWizard(): boolean;
    wrapExpressionDescription(expressionDescription: string): string;
}
export declare let PlusMinusSummary: React.ComponentClass<any, any>;
