import { ICellRendererFunc, ColDef, GridOptions, SideBarDef, ToolPanelDef } from 'ag-grid-community';
import { IStrategy } from '../Strategy/Interface/IStrategy';
import { IAdaptableBlotter } from '../Utilities/Interface/IAdaptableBlotter';
import { PercentBar } from '../PredefinedConfig/RunTimeState/PercentBarState';
/**
 * AdaptableBlotter ag-Grid implementation is getting really big and unwieldy
 * So lets put some of the more obvious 'Helper' functions here
 * This is a bit crap - it should take a GridOptions object...
 */
export declare class agGridHelper {
    private blotter;
    private gridOptions;
    constructor(blotter: IAdaptableBlotter, gridOptions: GridOptions);
    getVendorLightThemeName(): string;
    getVendorDarkThemeName(): string;
    setUpStrategies(): Map<string, IStrategy>;
    TrySetUpNodeIds(): boolean;
    createPercentBarCellRendererFunc(pcr: PercentBar, blotterId: string): ICellRendererFunc;
    getCleanValue(value: string): string | undefined;
    getRenderedValue(percentBars: PercentBar[], colDef: ColDef, valueToRender: any): any;
    safeSetColDefs(colDefs: ColDef[]): void;
    createAdaptableBlotterSideBarDefs(showFilterPanel: boolean, showColumnsPanel: boolean): SideBarDef;
    createAdaptableBlotterToolPanel(): ToolPanelDef;
    reselectSelectedCells(): void;
    setUpRowStyles(): void;
    fireSelectionChangedEvent(): void;
}
