import { ApiBase } from './ApiBase';
import { IAdaptableAlert } from '../Utilities/Interface/IMessage';
import { IAlertApi } from './Interface/IAlertApi';
import { AlertState } from '../PredefinedConfig/RunTimeState/AlertState';
export declare class AlertApi extends ApiBase implements IAlertApi {
    getAlertState(): AlertState;
    displayAlert(alertToShow: IAdaptableAlert): void;
    showAlert(alertHeader: string, alertMessage: string, MessageType: 'Success' | 'Info' | 'Warning' | 'Error', showAsPopup: boolean): void;
    showAlertInfo(alertHeader: string, alertMessage: string, showAsPopup: boolean): void;
    showAlertSuccess(alertHeader: string, alertMessage: string, showAsPopup: boolean): void;
    showAlertWarning(alertHeader: string, alertMessage: string, showAsPopup: boolean): void;
    showAlertError(alertHeader: string, alertMessage: string, showAsPopup: boolean): void;
}
