import { ApiBase } from './ApiBase';
import { ICalculatedColumnApi } from './Interface/ICalculatedColumnApi';
import { CalculatedColumnState, CalculatedColumn } from '../PredefinedConfig/RunTimeState/CalculatedColumnState';
export declare class CalculatedColumnApi extends ApiBase implements ICalculatedColumnApi {
    getCalculatedColumnState(): CalculatedColumnState;
    getAllCalculatedColumn(): CalculatedColumn[];
    addCalculatedColumn(calculatedColumn: CalculatedColumn): void;
    editCalculatedColumnExpression(column: string, columnExpression: string): void;
    deleteCalculatedColumn(column: string): void;
}
