"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var CalendarRedux = require("../Redux/ActionsReducers/CalendarRedux");
var ApiBase_1 = require("./ApiBase");
var CalendarApi = /** @class */ (function (_super) {
    tslib_1.__extends(CalendarApi, _super);
    function CalendarApi() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CalendarApi.prototype.getCalendarState = function () {
        return this.getBlotterState().Calendar;
    };
    CalendarApi.prototype.setCurrentCalendar = function (calendar) {
        this.dispatchAction(CalendarRedux.CalendarSelect(calendar));
    };
    CalendarApi.prototype.getCurrentCalendar = function () {
        return this.getBlotterState().Calendar.CurrentCalendar;
    };
    return CalendarApi;
}(ApiBase_1.ApiBase));
exports.CalendarApi = CalendarApi;
