"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ApiBase_1 = require("./ApiBase");
var CellSummaryApi = /** @class */ (function (_super) {
    tslib_1.__extends(CellSummaryApi, _super);
    function CellSummaryApi() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CellSummaryApi.prototype.getCellSummaryState = function () {
        return this.getBlotterState().CellSummary;
    };
    CellSummaryApi.prototype.getCellSummaryOperation = function () {
        return this.getCellSummaryState().SummaryOperation;
    };
    return CellSummaryApi;
}(ApiBase_1.ApiBase));
exports.CellSummaryApi = CellSummaryApi;
