import { ApiBase } from './ApiBase';
import { IColumnCategoryApi } from './Interface/IColumnCategoryApi';
import { ColumnCategoryState, ColumnCategory } from '../PredefinedConfig/RunTimeState/ColumnCategoryState';
export declare class ColumnCategoryApi extends ApiBase implements IColumnCategoryApi {
    getColumnCategoryState(): ColumnCategoryState;
    getAllColumnCategory(): ColumnCategory[];
    getColumnCategoryById(columnCategoryId: string): ColumnCategory;
    addColumnCategory(columnCategory: ColumnCategory): void;
    createColumnCategory(columnCategoryId: string, columns: string[]): void;
    editColumnCategory(columnCategory: ColumnCategory): void;
    addColumnsToColumnCategory(columnCategoryId: string, columns: string[]): void;
    removeColumnsFromColumnCategory(columnCategoryId: string, columns: string[]): void;
    deleteColumnCategory(columnCategoryId: string): void;
}
