import { ApiBase } from './ApiBase';
import { ICustomSortApi } from './Interface/ICustomSortApi';
import { CustomSortState, CustomSort } from '../PredefinedConfig/RunTimeState/CustomSortState';
export declare class CustomSortApi extends ApiBase implements ICustomSortApi {
    getCustomSortState(): CustomSortState;
    getAllCustomSort(): CustomSort[];
    getCustomSortByColumn(column: string): CustomSort;
    addCustomSort(customSort: CustomSort): void;
    createCustomSort(columnId: string, values: string[]): void;
    editCustomSort(columnId: string, values: string[]): void;
    deleteCustomSort(column: string): void;
}
