import { ApiBase } from './ApiBase';
import { ILayoutApi } from './Interface/ILayoutApi';
import { LayoutState, Layout } from '../PredefinedConfig/RunTimeState/LayoutState';
export declare class LayoutApi extends ApiBase implements ILayoutApi {
    getLayoutState(): LayoutState;
    setLayout(layoutName: string): void;
    clearLayout(): void;
    getCurrentLayout(): Layout;
    getCurrentLayoutName(): string;
    getLayoutByName(layoutName: string): Layout;
    getAllLayout(): Layout[];
    saveCurrentLayout(): void;
    saveLayout(layoutToSave: Layout): void;
}
