"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ApiBase_1 = require("./ApiBase");
var NamedFilterApi = /** @class */ (function (_super) {
    tslib_1.__extends(NamedFilterApi, _super);
    function NamedFilterApi() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    NamedFilterApi.prototype.getNamedFilterState = function () {
        return this.getBlotterState().NamedFilter;
    };
    NamedFilterApi.prototype.getAllNamedFilter = function () {
        return this.getNamedFilterState().NamedFilters;
    };
    NamedFilterApi.prototype.getNamedFilterByName = function (name) {
        return this.getAllNamedFilter().find(function (nf) { return nf.Name == name; });
    };
    return NamedFilterApi;
}(ApiBase_1.ApiBase));
exports.NamedFilterApi = NamedFilterApi;
