import { IStyle } from '../PredefinedConfig/Common/IStyle';
import { ApiBase } from './ApiBase';
import { IQuickSearchApi } from './Interface/IQuickSearchApi';
import { QuickSearchState } from '../PredefinedConfig/RunTimeState/QuickSearchState';
export declare class QuickSearchApi extends ApiBase implements IQuickSearchApi {
    getQuickSearchState(): QuickSearchState;
    setQuickSearchState(quickSearchState: QuickSearchState): void;
    applyQuickSearch(quickSearchText: string): void;
    clearQuickSearch(): void;
    getQuickSearchValue(): string;
    getQuickSearchStyle(): IStyle;
    getQuickSearchDisplayAction(): 'HighlightCell' | 'ShowRow' | 'ShowRowAndHighlightCell';
    setQuickSearchDisplayAction(displayAction: 'HighlightCell' | 'ShowRow' | 'ShowRowAndHighlightCell'): void;
    setQuickSearchStyle(style: IStyle): void;
}
