"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var SmartEditRedux = require("../Redux/ActionsReducers/SmartEditRedux");
var ApiBase_1 = require("./ApiBase");
var SmartEditApi = /** @class */ (function (_super) {
    tslib_1.__extends(SmartEditApi, _super);
    function SmartEditApi() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SmartEditApi.prototype.getSmartEditState = function () {
        return this.getBlotterState().SmartEdit;
    };
    SmartEditApi.prototype.setSmartEditMathOperation = function (mathOperation) {
        this.dispatchAction(SmartEditRedux.SmartEditChangeOperation(mathOperation));
    };
    SmartEditApi.prototype.getSmartEditMathOperation = function () {
        return this.getBlotterState().SmartEdit.MathOperation;
    };
    SmartEditApi.prototype.setSmartEditValue = function (smartEditValue) {
        this.dispatchAction(SmartEditRedux.SmartEditChangeValue(smartEditValue));
    };
    SmartEditApi.prototype.getSmartEditValue = function () {
        return this.getBlotterState().SmartEdit.SmartEditValue;
    };
    return SmartEditApi;
}(ApiBase_1.ApiBase));
exports.SmartEditApi = SmartEditApi;
