import { ApiBase } from './ApiBase';
import { ISystemStatusApi } from './Interface/ISystemStatusApi';
export declare class SystemStatusApi extends ApiBase implements ISystemStatusApi {
    setSystemStatus(statusMessage: string, messageType: 'Error' | 'Warning' | 'Success' | 'Info'): void;
    setErrorSystemStatus(statusMessage: string): void;
    setWarningSystemStatus(statusMessage: string): void;
    setSuccessSystemStatus(statusMessage: string): void;
    setInfoSystemStatus(statusMessage: string): void;
    clearSystemStatus(): void;
}
