"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var FormatColumnStrategy_1 = require("../../Strategy/FormatColumnStrategy");
var FormatColumnStrategyHypergrid = /** @class */ (function (_super) {
    tslib_1.__extends(FormatColumnStrategyHypergrid, _super);
    function FormatColumnStrategyHypergrid(blotterBypass) {
        var _this = _super.call(this, blotterBypass) || this;
        _this.blotterBypass = blotterBypass;
        _this.blotterBypass = blotterBypass;
        return _this;
    }
    FormatColumnStrategyHypergrid.prototype.initStyles = function () {
        var _this = this;
        //JO: temp fix
        if (!this.blotterBypass) {
            this.blotterBypass = this.blotter;
        }
        var columns = this.blotter.api.gridApi.getColumns();
        var formatColumns = this.blotter.api.formatColumnApi.getAllFormatColumn();
        this.blotterBypass.removeAllCellStyleHypergrid('formatColumn');
        // adding this check as things can get mixed up during 'clean user data'
        if (columns.length > 0 && formatColumns.length > 0) {
            this.blotterBypass.forAllRecordsDo(function (row) {
                formatColumns.forEach(function (fc) {
                    _this.blotterBypass.addCellStyleHypergrid(_this.blotterBypass.getPrimaryKeyValueFromRecord(row), fc.ColumnId, { formatColumnStyle: fc.Style });
                    //          break
                });
            });
        }
        this.blotterBypass.ReindexAndRepaint();
    };
    return FormatColumnStrategyHypergrid;
}(FormatColumnStrategy_1.FormatColumnStrategy));
exports.FormatColumnStrategyHypergrid = FormatColumnStrategyHypergrid;
