import { CellSummaryState } from '../../PredefinedConfig/RunTimeState/CellSummaryState';
import { CellSummaryOperation, CellSummaryOptionalOperation } from '../../PredefinedConfig/Common/Enums';
import * as Redux from 'redux';
export declare const CELL_SUMMARY_CHANGE_OPERATION = "CELL_SUMMARY_CHANGE_OPERATION";
export interface CellSummaryChangeOperationAction extends Redux.Action {
    SummaryOperation: CellSummaryOperation | CellSummaryOptionalOperation;
}
export declare const CellSummaryChangeOperation: (SummaryOperation: CellSummaryOperation | CellSummaryOptionalOperation) => CellSummaryChangeOperationAction;
export declare const CellSummaryReducer: Redux.Reducer<CellSummaryState>;
