"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GeneralConstants_1 = require("../../Utilities/Constants/GeneralConstants");
exports.CELL_SUMMARY_CHANGE_OPERATION = 'CELL_SUMMARY_CHANGE_OPERATION';
exports.CellSummaryChangeOperation = function (SummaryOperation) { return ({
    type: exports.CELL_SUMMARY_CHANGE_OPERATION,
    SummaryOperation: SummaryOperation,
}); };
var initialCellSummaryState = {
    SummaryOperation: GeneralConstants_1.CELL_SUMMARY_DEFAULT_OPERATION,
    OptionalSummaryOperations: [],
};
exports.CellSummaryReducer = function (state, action) {
    if (state === void 0) { state = initialCellSummaryState; }
    switch (action.type) {
        case exports.CELL_SUMMARY_CHANGE_OPERATION:
            return Object.assign({}, state, {
                SummaryOperation: action.SummaryOperation,
            });
        default:
            return state;
    }
};
