import * as Redux from 'redux';
import { MenuState } from '../../PredefinedConfig/InternalState/MenuState';
import { AdaptableBlotterMenuItem } from '../../Utilities/Interface/AdaptableBlotterMenu';
export declare const SET_MAIN_MENUITEMS = "SET_MAIN_MENUITEMS";
export declare const BUILD_COLUMN_MENU = "BUILD_COLUMN_MENU";
export declare const ADD_ITEM_COLUMN_MENU = "ADD_ITEM_COLUMN_MENU";
export declare const CLEAR_COLUMN_MENU = "CLEAR_COLUMN_MENU";
export interface SetMainMenuItemsAction extends Redux.Action {
    MenuItems: AdaptableBlotterMenuItem[];
}
export interface BuildColumnMenuAction extends Redux.Action {
    ColumnId: string;
}
export interface AddItemColumnMenuAction extends Redux.Action {
    Item: AdaptableBlotterMenuItem;
}
export interface ClearColumnMenuAction extends Redux.Action {
}
export declare const SetMainMenuItems: (MenuItems: AdaptableBlotterMenuItem[]) => SetMainMenuItemsAction;
export declare const BuildColumnMenu: (ColumnId: string) => BuildColumnMenuAction;
export declare const AddItemColumntMenu: (Item: AdaptableBlotterMenuItem) => AddItemColumnMenuAction;
export declare const ClearColumntMenu: () => ClearColumnMenuAction;
export declare const MenuReducer: Redux.Reducer<MenuState>;
