import * as Redux from 'redux';
import { ThemeState, AdaptableBlotterTheme } from '../../PredefinedConfig/RunTimeState/ThemeState';
export declare const THEME_SELECT = "THEME_SELECT";
export interface ThemeSetSystemThemesAction extends Redux.Action {
    SystemThemes: AdaptableBlotterTheme[];
}
export interface ThemeSetUserThemesAction extends Redux.Action {
    UserThemes: AdaptableBlotterTheme[];
}
export interface ThemeSelectAction extends Redux.Action {
    Theme: string;
}
export declare const ThemeSetSystemThemes: (SystemThemes: AdaptableBlotterTheme[]) => ThemeSetSystemThemesAction;
export declare const ThemeSetUserThemes: (UserThemes: AdaptableBlotterTheme[]) => ThemeSetUserThemesAction;
export declare const ThemeSelect: (Theme: string) => ThemeSelectAction;
export declare const ThemeReducer: Redux.Reducer<ThemeState>;
