import { IAlertStrategy } from './Interface/IAlertStrategy';
import { AdaptableStrategyBase } from './AdaptableStrategyBase';
import { IAdaptableBlotter } from '../Utilities/Interface/IAdaptableBlotter';
import { DataChangedInfo } from '../Utilities/Interface/DataChangedInfo';
import { AlertDefinition } from '../PredefinedConfig/RunTimeState/AlertState';
export declare class AlertStrategy extends AdaptableStrategyBase implements IAlertStrategy {
    constructor(blotter: IAdaptableBlotter);
    protected addPopupMenuItem(): void;
    protected handleDataSourceChanged(dataChangedEvent: DataChangedInfo): void;
    CheckDataChanged(dataChangedEvent: DataChangedInfo): AlertDefinition[];
    private IsAlertTriggered;
}
