import { AdaptableStrategyBase } from './AdaptableStrategyBase';
import { BulkUpdateValidationResult } from './Interface/IStrategyActionReturn';
import { IAdaptableBlotter } from '../Utilities/Interface/IAdaptableBlotter';
import { IBulkUpdateStrategy } from './Interface/IBulkUpdateStrategy';
import { IPreviewInfo } from '../Utilities/Interface/IPreview';
import { GridCell } from '../Utilities/Interface/Selection/GridCell';
export declare class BulkUpdateStrategy extends AdaptableStrategyBase implements IBulkUpdateStrategy {
    constructor(blotter: IAdaptableBlotter);
    protected addPopupMenuItem(): void;
    ApplyBulkUpdate(newValues: GridCell[]): void;
    CheckCorrectCellSelection(): BulkUpdateValidationResult;
    BuildPreviewValues(bulkUpdateValue: any): IPreviewInfo;
}
