import { AdaptableStrategyBase } from './AdaptableStrategyBase';
import { IAdaptableBlotter } from '../Utilities/Interface/IAdaptableBlotter';
import { ICellSummaryStrategy } from './Interface/ICellSummaryStrategy';
import { SelectedCellInfo } from '../Utilities/Interface/Selection/SelectedCellInfo';
import { ICellSummmary } from '../Utilities/Interface/Selection/ICellSummmary';
export declare class CellSummaryStrategy extends AdaptableStrategyBase implements ICellSummaryStrategy {
    constructor(blotter: IAdaptableBlotter);
    protected addPopupMenuItem(): void;
    CreateCellSummary(selectedCellInfo: SelectedCellInfo): ICellSummmary;
    private sumNumberArray;
    private meanNumberArray;
    private medianNumberArray;
    private calculateOnly;
    private calculateVwap;
}
