import { AdaptableStrategyBase } from './AdaptableStrategyBase';
import { IExportStrategy } from './Interface/IExportStrategy';
import { ExportDestination } from '../PredefinedConfig/Common/Enums';
import { IAdaptableBlotter } from '../Utilities/Interface/IAdaptableBlotter';
import { Report } from '../PredefinedConfig/RunTimeState/ExportState';
export declare class ExportStrategy extends AdaptableStrategyBase implements IExportStrategy {
    private ExportState;
    private isSendingData;
    private workAroundOpenfinExcelDataDimension;
    private throttledRecomputeAndSendLiveExcelEvent;
    constructor(blotter: IAdaptableBlotter);
    protected addPopupMenuItem(): void;
    private sendNewDataToLiveExcel;
    Export(report: Report, exportDestination: ExportDestination, folder?: string, page?: string): void;
    private convertReportToCsv;
    private copyToClipboard;
    private createCSVContent;
    private createTabularContent;
    private ConvertReportToArray;
    scheduleReports(): void;
}
