import { PlusMinusRule } from '../PredefinedConfig/RunTimeState/PlusMinusState';
import { IPlusMinusStrategy } from './Interface/IPlusMinusStrategy';
import { AdaptableStrategyBase } from './AdaptableStrategyBase';
import { IAdaptableBlotter } from '../Utilities/Interface/IAdaptableBlotter';
import { IColumn } from '../Utilities/Interface/IColumn';
import { GridCell } from '../Utilities/Interface/Selection/GridCell';
export declare class PlusMinusStrategy extends AdaptableStrategyBase implements IPlusMinusStrategy {
    constructor(blotter: IAdaptableBlotter);
    protected addPopupMenuItem(): void;
    addColumnMenuItem(column: IColumn): void;
    private handleKeyDown;
    applyPlusMinus(plusMinusRules: PlusMinusRule[], cellsToUpdate: GridCell[], side: number): boolean;
    private ShowErrorPreventMessage;
    private ShowWarningMessages;
}
