import { AdaptableStrategyBase } from './AdaptableStrategyBase';
import { IAdaptableBlotter } from '../Utilities/Interface/IAdaptableBlotter';
import { IReminderStrategy } from './Interface/IReminderStrategy';
import { ReminderState } from '../PredefinedConfig/RunTimeState/ReminderState';
export declare class ReminderStrategy extends AdaptableStrategyBase implements IReminderStrategy {
    protected ReminderState: ReminderState;
    constructor(blotter: IAdaptableBlotter);
    protected addPopupMenuItem(): void;
    scheduleReminders(): void;
}
