import { AdaptableStrategyBase } from './AdaptableStrategyBase';
import { IThemeStrategy } from './Interface/IThemeStrategy';
import { IAdaptableBlotter } from '../Utilities/Interface/IAdaptableBlotter';
import { ThemeState } from '../PredefinedConfig/RunTimeState/ThemeState';
export declare class ThemeStrategy extends AdaptableStrategyBase implements IThemeStrategy {
    private ThemeState;
    constructor(blotter: IAdaptableBlotter);
    protected addPopupMenuItem(): void;
    publishThemeChanged(themeState: ThemeState): void;
    protected InitState(): void;
}
