/** based on emittery npm package, which is MIT */
declare type EmitterCallback = (data?: any) => any;
declare class Emittery {
    static mixin(emitteryPropertyName: string, methodNames: string[]): (target: any) => any;
    constructor();
    on(eventName: string, listener: EmitterCallback): any;
    off(eventName: string, listener: EmitterCallback): void;
    once(eventName: string): Promise<unknown>;
    emit(eventName: string, eventData?: any): Promise<any[]>;
    emitSerial(eventName: string, eventData: any): Promise<void>;
    onAny(listener: EmitterCallback): any;
    offAny(listener: EmitterCallback): void;
    clearListeners(eventName: string): void;
    listenerCount(eventName: string): any;
    bindMethods(target: any, methodNames: string[]): void;
}
export default Emittery;
