import { AdaptableBlotterOptions } from '../../BlotterOptions/AdaptableBlotterOptions';
import { IColumn } from '../Interface/IColumn';
import { IAdaptableBlotter } from '../Interface/IAdaptableBlotter';
import { AdaptableBlotterObject } from '../../PredefinedConfig/AdaptableBlotterObject';
export declare function assignBlotterOptions(blotterOptions: AdaptableBlotterOptions): AdaptableBlotterOptions;
export declare function isValidPrimaryKey(blotter: IAdaptableBlotter, columns: IColumn[]): boolean;
export declare function isConfigServerEnabled(blotterOptions: AdaptableBlotterOptions): boolean;
export declare function BlotterObjectExistsInState(array: AdaptableBlotterObject[], itemToCheck: AdaptableBlotterObject): boolean;
export declare function isDemoSite(): boolean;
export declare function CheckBlotterOptions(blotterOptions: AdaptableBlotterOptions): void;
export declare const BlotterHelper: {
    isDemoSite: typeof isDemoSite;
    assignBlotterOptions: typeof assignBlotterOptions;
    isValidPrimaryKey: typeof isValidPrimaryKey;
    isConfigServerEnabled: typeof isConfigServerEnabled;
    BlotterObjectExistsInState: typeof BlotterObjectExistsInState;
    CheckBlotterOptions: typeof CheckBlotterOptions;
};
export default BlotterHelper;
