import { IColumn } from '../Interface/IColumn';
import { IUIConfirmation } from '../Interface/IMessage';
import * as Redux from 'redux';
import { CellValidationRule } from '../../PredefinedConfig/RunTimeState/CellValidationState';
export declare function createCellValidationDescription(cellValidationRule: CellValidationRule, columns: IColumn[]): string;
export declare function createCellValidationUIConfirmation(confirmAction: Redux.Action, cancelAction: Redux.Action, warningMessage?: string): IUIConfirmation;
export declare const CellValidationHelper: {
    createCellValidationDescription: typeof createCellValidationDescription;
    createCellValidationUIConfirmation: typeof createCellValidationUIConfirmation;
};
export default CellValidationHelper;
