import { IColumn } from '../Interface/IColumn';
import { IKeyValuePair } from '../Interface/IKeyValuePair';
import { IAdaptableBlotter } from '../Interface/IAdaptableBlotter';
import { ColumnFilter } from '../../PredefinedConfig/RunTimeState/ColumnFilterState';
export declare function convertColumnFiltersToKVPArray(columnFilters: ColumnFilter[], columns: IColumn[]): IKeyValuePair[];
export declare function getColumnFiltersDescription(columnFilters: ColumnFilter[], columns: IColumn[], blotter: IAdaptableBlotter): string;
export declare const ColumnFilterHelper: {
    convertColumnFiltersToKVPArray: typeof convertColumnFiltersToKVPArray;
    getColumnFiltersDescription: typeof getColumnFiltersDescription;
};
export default ColumnFilterHelper;
