import { MessageType } from '../../PredefinedConfig/Common/Enums';
export declare function LogAlert(message: string, messageType: MessageType, ...optionalParams: any[]): void;
export declare function LogAdaptableBlotterInfo(message: string, ...optionalParams: any[]): void;
export declare function LogAdaptableBlotterSuccess(message: string, ...optionalParams: any[]): void;
export declare function LogAdaptableBlotterWarning(message: string, ...optionalParams: any[]): void;
export declare function LogAdaptableBlotterError(message: string, ...optionalParams: any[]): void;
export declare function LogWarning(message: string, ...optionalParams: any[]): void;
export declare function LogError(message: string, ...optionalParams: any[]): void;
export declare function LogInfo(message: string, ...optionalParams: any[]): void;
export declare function LogObject(objectToLog: any, ...optionalParams: any[]): void;
export declare const LoggingHelper: {
    LogAlert: typeof LogAlert;
    LogAdaptableBlotterInfo: typeof LogAdaptableBlotterInfo;
    LogAdaptableBlotterSuccess: typeof LogAdaptableBlotterSuccess;
    LogAdaptableBlotterWarning: typeof LogAdaptableBlotterWarning;
    LogAdaptableBlotterError: typeof LogAdaptableBlotterError;
    LogWarning: typeof LogWarning;
    LogError: typeof LogError;
    LogInfo: typeof LogInfo;
    LogObject: typeof LogObject;
};
export default LoggingHelper;
