import { AccessLevel } from '../../PredefinedConfig/Common/Enums';
import { IEntitlement } from '../../PredefinedConfig/DesignTimeState/EntitlementsState';
export declare function IsEditStrategy(strategyId: string): boolean;
export declare function IsFilterStrategy(strategyId: string): boolean;
export declare function IsSortStrategy(strategyId: string): boolean;
export declare function getEntitlementAccessLevelForStrategy(entitlements: IEntitlement[], strategyId: string): AccessLevel;
export declare const StrategyHelper: {
    IsEditStrategy: typeof IsEditStrategy;
    IsFilterStrategy: typeof IsFilterStrategy;
    IsSortStrategy: typeof IsSortStrategy;
    getEntitlementAccessLevelForStrategy: typeof getEntitlementAccessLevelForStrategy;
};
export default StrategyHelper;
