import * as Redux from 'redux';
import { AdaptableBlotterMenuItem } from './Interface/AdaptableBlotterMenu';
export declare class MenuItemDoReduxAction implements AdaptableBlotterMenuItem {
    constructor(label: string, strategyId: string, action: Redux.Action, glyphIcon: string, isVisible: boolean);
    Action: Redux.Action;
    Label: string;
    StrategyId: string;
    IsVisible: boolean;
    GlyphIcon: string;
}
export declare class MenuItemShowPopup implements AdaptableBlotterMenuItem {
    constructor(label: string, strategyId: string, componentName: string, glyphIcon: string, isVisible: boolean, popupParams?: string);
    Action: Redux.Action;
    Label: string;
    StrategyId: string;
    IsVisible: boolean;
    GlyphIcon: string;
}
