import { ICalculatedColumnExpressionService } from './Interface/ICalculatedColumnExpressionService';
import { IAdaptableBlotter } from '../Interface/IAdaptableBlotter';
import { DataType } from '../../PredefinedConfig/Common/Enums';
export declare class CalculatedColumnExpressionService implements ICalculatedColumnExpressionService {
    private blotter;
    private colFunctionValue;
    constructor(blotter: IAdaptableBlotter, colFunctionValue: (columnId: string, record: any) => any);
    GetCalculatedColumnDataType(expression: string): DataType;
    IsExpressionValid(expression: string): {
        IsValid: Boolean;
        ErrorMsg?: string;
    };
    ComputeExpressionValue(expression: string, record: any): any;
}
