"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var CheckBox_1 = require("../../../components/CheckBox");
var WizardPanel_1 = require("../../../components/WizardPanel");
var AlertScopeWizard = /** @class */ (function (_super) {
    tslib_1.__extends(AlertScopeWizard, _super);
    function AlertScopeWizard(props) {
        var _this = _super.call(this, props) || this;
        _this.onShowAsPopupChanged = function (checked) {
            _this.setState({ ShowAsPopup: checked }, function () {
                return _this.props.UpdateGoBackState();
            });
        };
        _this.state = {
            ShowAsPopup: _this.props.Data.ShowAsPopup,
        };
        return _this;
    }
    AlertScopeWizard.prototype.render = function () {
        return (React.createElement(React.Fragment, null,
            React.createElement(WizardPanel_1.default, { border: "none" },
                React.createElement(CheckBox_1.default, { marginLeft: 2, checked: this.state.ShowAsPopup == true, onChange: this.onShowAsPopupChanged }, "Show as Popup"))));
    };
    AlertScopeWizard.prototype.canNext = function () {
        return true;
    };
    AlertScopeWizard.prototype.canBack = function () {
        return true;
    };
    AlertScopeWizard.prototype.Next = function () {
        this.props.Data.ShowAsPopup = this.state.ShowAsPopup;
    };
    AlertScopeWizard.prototype.Back = function () {
        // todo
    };
    AlertScopeWizard.prototype.GetIndexStepIncrement = function () {
        return 1;
    };
    AlertScopeWizard.prototype.GetIndexStepDecrement = function () {
        return 1;
    };
    return AlertScopeWizard;
}(React.Component));
exports.AlertScopeWizard = AlertScopeWizard;
