import * as React from 'react';
import { IColumn } from '../../Utilities/Interface/IColumn';
import { SharedEntityExpressionRowProps } from '../Components/SharedProps/ConfigEntityRowProps';
import { ActionMode } from '../../PredefinedConfig/Common/Enums';
import { CellValidationRule } from '../../PredefinedConfig/RunTimeState/CellValidationState';
export interface CellValidationEntityRowProps extends SharedEntityExpressionRowProps<CellValidationEntityRow> {
    Column: IColumn;
    onChangeActionMode: (cellValidationRule: CellValidationRule, ActionMode: ActionMode) => void;
}
export declare class CellValidationEntityRow extends React.Component<CellValidationEntityRowProps, {}> {
    render(): any;
    setExpressionDescription(CellValidation: CellValidationRule): string;
    private getColumnandRule;
    onActionModeChanged(cellValidationRule: CellValidationRule, value: string): void;
}
