import * as React from 'react';
import { AdaptableWizardStepProps, AdaptableWizardStep } from '../../../Wizard/Interface/IAdaptableWizard';
import { CategoryChartDefinition } from '../../../../PredefinedConfig/RunTimeState/ChartState';
import { Expression } from '../../../../PredefinedConfig/Common/Expression/Expression';
export interface CategoryChartXAxisWizardProps extends AdaptableWizardStepProps<CategoryChartDefinition> {
}
export interface CategoryChartXAxisWizardState {
    XAxisColumnId: string;
    UseAllXAsisColumnValues: boolean;
    XAxisExpression?: Expression;
}
export declare class CategoryChartXAxisWizard extends React.Component<CategoryChartXAxisWizardProps, CategoryChartXAxisWizardState> implements AdaptableWizardStep {
    constructor(props: CategoryChartXAxisWizardProps);
    render(): any;
    private onUseAllColumnValuesChanged;
    private onXAxisColumnChanged;
    canNext(): boolean;
    canBack(): boolean;
    Next(): void;
    Back(): void;
    GetIndexStepIncrement(): 1 | 2;
    GetIndexStepDecrement(): number;
}
