import * as React from 'react';
import { StrategySummaryProps } from '../Components/SharedProps/StrategySummaryProps';
import { EditableConfigEntityState } from '../Components/SharedProps/EditableConfigEntityState';
import * as TeamSharingRedux from '../../Redux/ActionsReducers/TeamSharingRedux';
import { AdaptableBlotterObject } from '../../PredefinedConfig/AdaptableBlotterObject';
import { ColumnCategory } from '../../PredefinedConfig/RunTimeState/ColumnCategoryState';
export interface ColumnCategorySummaryProps extends StrategySummaryProps<ColumnCategorySummaryComponent> {
    ColumnCategorys: ColumnCategory[];
    onShare: (entity: AdaptableBlotterObject) => TeamSharingRedux.TeamSharingShareAction;
}
export declare class ColumnCategorySummaryComponent extends React.Component<ColumnCategorySummaryProps, EditableConfigEntityState> {
    constructor(props: ColumnCategorySummaryProps);
    render(): any;
    onNew(): void;
    onEdit(ColumnCategory: ColumnCategory): void;
    onCloseWizard(): void;
    onFinishWizard(): void;
    canFinishWizard(): void;
}
export declare let ColumnCategorySummary: React.ComponentClass<any, any>;
