"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var rebass_1 = require("rebass");
var styled_components_1 = require("styled-components");
var Row = styled_components_1.default.div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  background: var(--ab-cmp-listgroupitem__background);\n  color: var(--ab-cmp-listgroupitem__color);\n  border-radius: var(--ab-cmp-listgroupitem__border-radius);\n\n  &:nth-child(2n + 1) {\n    background: var(--ab-cmp-listgroupitem--odd__background);\n    color: var(--ab-cmp-listgroupitem--odd__color);\n  }\n"], ["\n  background: var(--ab-cmp-listgroupitem__background);\n  color: var(--ab-cmp-listgroupitem__color);\n  border-radius: var(--ab-cmp-listgroupitem__border-radius);\n\n  &:nth-child(2n + 1) {\n    background: var(--ab-cmp-listgroupitem--odd__background);\n    color: var(--ab-cmp-listgroupitem--odd__color);\n  }\n"])));
var AdaptableObjectRow = /** @class */ (function (_super) {
    tslib_1.__extends(AdaptableObjectRow, _super);
    function AdaptableObjectRow() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AdaptableObjectRow.prototype.render = function () {
        var colItems = this.props.colItems.map(function (colItem, index) {
            return (React.createElement(rebass_1.Text, { key: index, fontSize: 'var(--ab-font-size-3)', style: { flex: colItem.Size }, paddingLeft: 1, paddingRight: 1 }, colItem.Content));
        });
        return (React.createElement(Row, { onClick: this.props.onClick, style: this.props.style },
            React.createElement(rebass_1.Box, { padding: 2, className: "list-group-item" },
                React.createElement(rebass_1.Flex, { alignItems: "center", padding: 0, margin: 0, style: {
                        overflowY: 'visible',
                    } }, colItems))));
    };
    return AdaptableObjectRow;
}(React.Component));
exports.AdaptableObjectRow = AdaptableObjectRow;
var templateObject_1;
