import * as React from 'react';
import { IColumnFilterContext } from '../../../Utilities/Interface/IColumnFilterContext';
import { DistinctCriteriaPairValue, ColumnMenuTab } from '../../../PredefinedConfig/Common/Enums';
import { ColumnFilter } from '../../../PredefinedConfig/RunTimeState/ColumnFilterState';
import { IRawValueDisplayValuePair } from '../../UIInterfaces';
export interface FilterFormState {
    ColumnValuePairs: Array<IRawValueDisplayValuePair>;
    ShowWaitingMessage: boolean;
    SelectedTab: ColumnMenuTab;
    DistinctCriteriaPairValue: DistinctCriteriaPairValue;
    editedColumnFilter: ColumnFilter | undefined;
}
export declare let FilterForm: React.ComponentClass<any, any>;
export declare const FilterFormReact: (FilterContext: IColumnFilterContext) => JSX.Element;
