import * as React from 'react';
import { IColumnFilterContext } from '../../../Utilities/Interface/IColumnFilterContext';
import { Expression } from '../../../PredefinedConfig/Common/Expression/Expression';
import { IKeyValuePair } from '../../../Utilities/Interface/IKeyValuePair';
export interface QuickFilterFormState {
    quickFilterFormText: string;
    filterExpression: Expression;
    numberOperatorPairs: IKeyValuePair[];
    stringOperatorPairs: IKeyValuePair[];
    dateOperatorPairs: IKeyValuePair[];
    placeholder: string;
}
export declare let QuickFilterForm: React.ComponentClass<any, any>;
export declare const QuickFilterFormReact: (FilterContext: IColumnFilterContext) => JSX.Element;
