import * as React from 'react';
import { IColumn } from '../../Utilities/Interface/IColumn';
import { UserFilter } from '../../PredefinedConfig/RunTimeState/UserFilterState';
import { IPreviewInfo } from '../../Utilities/Interface/IPreview';
export interface PreviewResultsPanelProps extends React.ClassAttributes<PreviewResultsPanel> {
    UpdateValue: string;
    PreviewInfo: IPreviewInfo;
    Columns: IColumn[];
    UserFilters: UserFilter[];
    SelectedColumn: IColumn;
    ShowPanel: boolean;
    style?: React.CSSProperties;
    ShowHeader: boolean;
}
export declare class PreviewResultsPanel extends React.Component<PreviewResultsPanelProps, {}> {
    render(): any;
    private getValidationErrorMessage;
}
