import * as React from 'react';
import { SelectionMode } from '../../../PredefinedConfig/Common/Enums';
import { IColumn } from '../../../Utilities/Interface/IColumn';
export interface ColumnSelectorProps extends React.HTMLProps<ColumnSelector> {
    ColumnList: IColumn[];
    SelectedColumnIds: string[];
    onColumnChange: (SelectedColumns: IColumn[]) => void;
    SelectionMode: SelectionMode;
    className?: string;
    placeHolder?: string;
}
export declare class ColumnSelector extends React.Component<ColumnSelectorProps, {}> {
    UNSAFE_componentWillReceiveProps(nextProps: ColumnSelectorProps, nextContext: any): void;
    render(): JSX.Element;
    onClearButton(): void;
    onColumnChange(selected: IColumn[], isEmptySelection: boolean): void;
}
