import { Report } from '../../../PredefinedConfig/RunTimeState/ExportState';
import * as React from 'react';
import { AdaptableWizardStep, AdaptableWizardStepProps } from '../../Wizard/Interface/IAdaptableWizard';
export interface ReportSettingsWizardProps extends AdaptableWizardStepProps<Report> {
    Reports: Report[];
}
export interface ReportSettingsWizardState {
    ReportName: string;
    ErrorMessage: string;
}
export declare class ReportSettingsWizard extends React.Component<ReportSettingsWizardProps, ReportSettingsWizardState> implements AdaptableWizardStep {
    constructor(props: ReportSettingsWizardProps);
    render(): any;
    private onReportNameChanged;
    canNext(): boolean;
    canBack(): boolean;
    Next(): void;
    Back(): void;
    GetIndexStepIncrement(): number;
    GetIndexStepDecrement(): number;
}
