import * as React from 'react';
import { SharedEntityExpressionRowProps } from '../Components/SharedProps/ConfigEntityRowProps';
import { IColumn } from '../../Utilities/Interface/IColumn';
import { SortOrder } from '../../PredefinedConfig/Common/Enums';
import { ColumnSort } from '../../PredefinedConfig/RunTimeState/LayoutState';
export interface GridSortRowProps<GridSortRow> extends SharedEntityExpressionRowProps<GridSortRow> {
    ColumnSort: ColumnSort;
    onColumnSortColumnChanged: (column: IColumn) => void;
    onColumnSortOrderChanged: (sortOrder: SortOrder) => void;
    onDeleteColumnSort: () => void;
}
export declare class GridSortRow extends React.Component<GridSortRowProps<GridSortRow>, {}> {
    render(): any;
    private onColumnSelectedChanged;
    private onSortOrderChanged;
}
