import * as React from 'react';
import { AdaptableWizardStep, AdaptableWizardStepProps } from '../../Wizard/Interface/IAdaptableWizard';
import { Layout, ColumnSort } from '../../../PredefinedConfig/RunTimeState/LayoutState';
export interface LayoutGridSortWizardProps extends AdaptableWizardStepProps<Layout> {
}
export interface LayoutGridSortWizardState {
    ColumnSorts: ColumnSort[];
}
export declare class LayoutGridSortWizard extends React.Component<LayoutGridSortWizardProps, LayoutGridSortWizardState> implements AdaptableWizardStep {
    onEdit(arg0: any): any;
    constructor(props: LayoutGridSortWizardProps);
    render(): any;
    addSort(): any;
    private onColumnSelectedChanged;
    private onSortOrderChanged;
    private onDeleteGridSort;
    canNext(): boolean;
    canBack(): boolean;
    Next(): void;
    Back(): void;
    GetIndexStepIncrement(): number;
    GetIndexStepDecrement(): number;
}
