import { Reminder } from '../../../PredefinedConfig/RunTimeState/ReminderState';
import * as React from 'react';
import { AdaptableWizardStep, AdaptableWizardStepProps } from '../../Wizard/Interface/IAdaptableWizard';
import { DayOfWeek } from '../../../PredefinedConfig/Common/Enums';
export interface ReminderScheduleWizardProps extends AdaptableWizardStepProps<Reminder> {
}
export interface ReminderScheduleWizardState {
    IsRecurringDate: boolean;
    Hour: number;
    Minute: number;
    DaysOfWeek: DayOfWeek[];
    OneOffDate: any;
}
export declare class ReminderScheduleWizard extends React.Component<ReminderScheduleWizardProps, ReminderScheduleWizardState> implements AdaptableWizardStep {
    constructor(props: ReminderScheduleWizardProps);
    render(): any;
    private onDayChecked;
    private onOneOffDateChanged;
    private onRecurringDateChanged;
    private onHourChanged;
    private onMinuteChanged;
    canNext(): boolean;
    canBack(): boolean;
    Next(): void;
    Back(): void;
    GetIndexStepIncrement(): number;
    GetIndexStepDecrement(): number;
}
