"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var rebass_1 = require("rebass");
var SizedContainer_1 = require("../SizedContainer");
var ChartContainer = function (props) {
    return (React.createElement(rebass_1.Flex, { flexDirection: "row" },
        React.createElement(rebass_1.Flex, { flexDirection: "column", flex: 1, style: { textAlign: 'center' } },
            props.button,
            props.title,
            React.createElement(SizedContainer_1.default, { style: { minHeight: props.minHeight || '60vh' } }, function (_a) {
                var width = _a.width, height = _a.height;
                return React.cloneElement(props.chart, { height: height + "px", width: width + "px" });
            })),
        props.settingsPanel));
};
exports.default = ChartContainer;
