"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var triangle_up_1 = require("../icons/triangle-up");
var triangle_down_1 = require("../icons/triangle-down");
var Arrows = function () {
    return (React.createElement("div", { style: {
            display: 'flex',
            flexFlow: 'column',
            position: 'absolute',
            background: 'var(--ab-color-defaultbackground)',
            fill: 'var(--ab-cmp-dropdown__fill)',
            top: '50%',
            right: 'var(--ab-space-1)',
            transform: 'translate3d(0px, -50%, 0px)',
            cursor: 'pointer',
        } },
        React.createElement(triangle_up_1.default, { size: 24, style: { position: 'relative', top: 7 } }),
        React.createElement(triangle_down_1.default, { size: 24, style: { position: 'relative', top: -7 } })));
};
exports.default = Arrows;
